#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "get_path.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "gettext.h"

static char *path = NULL;
static char static_get_path[1024];


void init_path()
  {
   #define test_file "theme/modern/board.piece"
   FILE *f;
   if( (f=fopen( "../data/"test_file, "r" )) != NULL )
     {
      fclose(f);
      path = "../data";
      return;
     }
    else
   if( (f=fopen( "./data/"test_file, "r" )) != NULL )
     {
      fclose(f);
      path = "./data";
      return;
     }
    else
   if( (f=fopen( PREFIX"/r-katro/"test_file, "r" )) != NULL )
     {
      fclose(f);
      path = (char*) malloc( strlen(PREFIX"/r-katro") +1 );
      sprintf( path, PREFIX"/r-katro" );
      return;
     }
    else
     {
      printf( _("Unaviable data found (test path: ../data, ./data, %s)\n"), PREFIX"/r-katro" );
      exit(1);
     } 
   #undef test_file
  }

char *get_path( const char *file )
  {
   if( path == NULL ) init_path();
   sprintf( static_get_path, "%s/%s", path, file );
   return static_get_path;
  }
