#include "helpwindow.h"
#include <qapplication.h>

HelpWindow::HelpWindow( const QString& home_, const QString& _path,
			QWidget* parent, const char *name )
    : QMainWindow( parent, name, WDestructiveClose ),
      pathCombo( 0 ), selectedURL()
{
   browser = new QTextBrowser( this );
    browser->mimeSourceFactory()->setFilePath( _path );
    browser->setFrameStyle( QFrame::Panel | QFrame::Sunken );
    setCentralWidget( browser );

    if ( !home_.isEmpty() )
	browser->setSource( home_ );

    resize( 640,700 );

    browser->setFocus();
}


HelpWindow::~HelpWindow()
{
}

