#ifndef principal_h
#define principal_h

#include "jeu.h"
#include "ordinateur.h"
#include <stdlib.h>
#include "humain.h"

class principal
{
 private:
  bool tour_joueur;
  joueur *pl[2];
  bool etatDonner;

 public:
  jeu *game;

 public:
  // CONSTRUCTEUR
  principal(int mode);

  ~principal();

  // METHODE
 private:

  bool donner(int num);
  bool donner2(position pos);
  bool jouer(int num);
  bool jouer2(position pos);

  void changerJoueur();

 public:

  bool appuyer(int num);
  bool lacher(position pos);

  int joueurNum();

  bool undo( position&,int &);
  bool redo(position &,int &);

  bool sauver(const char *);
  bool recupererpartie(const char *);

  bool finPartie();
  bool alignementKatro();

  bool tour_de_AI(int &pi, position &pos);
  bool aide(int &pi, position &pos);

};
#endif
