#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "helpwindow.h"
#include <qapplication.h>

#include "../gettext.h"

int main( int argc, char ** argv )
{
    QApplication::setColorSpec( QApplication::ManyColor );
    QApplication a(argc, argv);

    QString home = argv[1];
    
    HelpWindow *help = new HelpWindow(home, ".", 0, _("r-Katro help"));
    
    help->setCaption(_("r-Katro help"));
    
    if ( QApplication::desktop()->width() > 400
	 && QApplication::desktop()->height() > 500 )
	help->show();
    else
	help->showMaximized();

    QObject::connect( &a, SIGNAL(lastWindowClosed()),
                      &a, SLOT(quit()) );

    return a.exec();
}
