#ifndef obj3d_h
#define obj3d_h

#include "glm.h"
#include <qimage.h>
#include <stdio.h>

class obj3d
  {
   protected:
     GLfloat x, y, z;
     GLuint object;

     GLuint texture;
     GLfloat r, g, b;
     GLuint name;
     GLfloat depth;
     int mode;


   public:
     static void set_new_theme();

     obj3d( char *theme, char *file );
     virtual ~obj3d( void );

     void set_pos( GLfloat x, GLfloat y, GLfloat z );
     void set_pos( GLfloat x, GLfloat y );
     void set_pos();
     void get_pos( GLfloat &x, GLfloat &y );
     void set_texture( GLuint i );
     void set_couleur( GLfloat r_, GLfloat g_, GLfloat b_ );

     void aff( int mode );

     static void SET_TEXTURE( QImage b, QImage n, QImage p );
  };

#endif
