#ifndef ordinateur_h
#define ordinateur_h

#include <limits.h>
#include "joueur.h"

typedef unsigned char uchar;


typedef struct{
  int val;
  uchar i;
} elem;

class ordinateur : virtual public joueur{
 private:
  int  donnerR( int level );
  bool donner_( uchar &p1, uchar &p2 );
  int  jouerR( uchar p, int level );
  bool jouer_( uchar p, int &c1, int &c2 );
  
  int valeur( uchar p, int i, int j, int mode );

  void copie_jeu();
  
  bool moi;
  
  jeu *le_jeu;
  uchar piece_libre[16];
  uchar plat[4][4];

 public:
  ordinateur();
  virtual ~ordinateur();

  virtual bool donner( int &piece, jeu *le_jeu );
  virtual bool jouer( position &pos, jeu *le_jeu );
  virtual bool is_ordinateur() { return true; }
};

int compar( const void *e1, const void *e2 );

#endif


